// Copyright 2012 Google Inc. All Rights Reserved.

/**
 * @fileoverview Implementation of the communication protocol to show the warm
 * welcome from Javascript.
 * @author sforsyth@google.com (Simon Forsyth)
 */

(function() {
  if (!navigator || navigator.warmWelcomeNativeMessaging) {
    return;
  }

  var messagingApi = {
    apiVersion: 1
  };

  /** Called from web to show native warm welcome. */
  messagingApi.showWarmWelcome = function() {
    navigator.googleInternal.dispatch('warmwelcomemessaging',
        'showWarmWelcome');
  };

  navigator.warmWelcomeNativeMessaging = messagingApi;
})();
